
Smart Proxy - Feature #13667

puppet_proxy and puppetca modules load puppet gem in puppet 4.0 and higher environments 

02/11/2016 10:13 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/406

  

Description

Related issues:

Related to Smart Proxy - Feature #11992: Support loading Puppet from AIO pack... Rejected 09/29/2015

Related to Smart Proxy - Bug #14266: proxy-puppet - import classes to foreman... Resolved 03/18/2016

Related to Smart Proxy - Refactor #11080: Move Puppet run providers to plugin... Closed 07/10/2015

Related to Smart Proxy - Feature #15095: Add Puppet server environment_classe... Closed

Related to Smart Proxy - Bug #15130: Puppet environment retriever set to conf... Closed 05/23/2016

Related to Smart Proxy - Refactor #30857: Merge Puppet Proxy Puppet API provi... Ready For Testing

Blocks Foreman - Tracker #8447: Puppet 4 support Closed 11/19/2014

Blocked by Smart Proxy - Refactor #14618: Refactor plugin initialization and ... Closed 04/13/2016

Associated revisions

Revision df0fc729 - 05/18/2016 09:44 AM - Dmitri Dolguikh 

Fixes #13667 - support for puppet 4.0 in puppet_proxy module

History

#1 - 02/11/2016 10:13 AM - Anonymous

- Related to Feature #11992: Support loading Puppet from AIO packages added

#2 - 02/11/2016 10:16 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/376 added

#3 - 03/18/2016 09:48 AM - Dominic Cleal

- Related to Bug #14266: proxy-puppet - import classes to foreman takes ages added

#4 - 04/04/2016 07:57 AM - Dominic Cleal

- Blocks Tracker #8447: Puppet 4 support added

#5 - 04/14/2016 03:17 AM - Dominic Cleal

- Pull request https://github.com/theforeman/smart-proxy/pull/406 added

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/376)

#6 - 04/15/2016 09:10 AM - Dominic Cleal

- Blocked by Refactor #14618: Refactor plugin initialization and loading added

#7 - 05/01/2016 02:09 AM - Walter Heck
Just so that others can find this stuff (as it took me a bit of time to figure things out): when you try smart-proxy from source with Puppet 4 aio

packages installed you'll get the following:

[root@master smart-proxy]# yum list installed | grep puppet

puppet-agent.x86_64              1.4.2-1.el7                           @puppetlabs-pc1

puppetdb.noarch                  4.0.2-1.el7                           @puppetlabs-pc1

puppetdb-termini.noarch          4.0.2-1.el7                           @puppetlabs-pc1

puppetlabs-release-pc1.noarch    1.0.0-2.el7                           @/puppetlabs-release-pc1-el-7.noarch

puppetserver.noarch              2.3.2-1.el7                           @puppetlabs-pc1

[root@master smart-proxy]# /opt/smart-proxy/bin/smart-proxy

Errors detected on startup, see log for details. Exiting: cannot load such file -- puppet

 It would be really great to see this start working someday :)

#8 - 05/01/2016 04:28 AM - Anonymous

Did you try changes in https://github.com/theforeman/smart-proxy/pull/406? If so, can you post the error log?

#9 - 05/12/2016 11:20 AM - Dominic Cleal

- Related to Refactor #11080: Move Puppet run providers to plugin-capable layout added

#10 - 05/18/2016 09:46 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- translation missing: en.field_release set to 136

#11 - 05/18/2016 11:06 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset df0fc729bb8f3275c55f8673c669085755eee347.

#12 - 05/19/2016 09:16 AM - Dominic Cleal

- Related to Feature #15095: Add Puppet server environment_classes API support added

#13 - 05/23/2016 03:26 AM - Dominic Cleal

- Related to Bug #15130: Puppet environment retriever set to config_file, not API when using "environmentpath" added

#14 - 09/16/2020 09:30 AM - Ewoud Kohl van Wijngaarden

- Related to Refactor #30857: Merge Puppet Proxy Puppet API provider code into the Puppet module added
